.section-blog-container {
  background-color: rgb(var(--color-background));
  width: 100%;
}

@media (max-width: 959px) {
  .section-blog-container {
    padding-inline: 0; /* 移动端背景延展到全屏 */
  }

  .qd-section {
    max-width: 100%;
    padding-inline: 16px; /* 移动端留小边距 */
  }
}


/* 兼容博客左图右文移动端不适配问题 */
.blog-flex-layout {
  display: flex;
  flex-wrap: wrap;
  gap: 40px;
  margin-bottom: 60px;
}

/* 移动端改为上下布局 */
@media screen and (max-width: 767px) {
  .blog-flex-layout {
    flex-direction: column;
    gap: 24px;
    margin-bottom: 40px;
  }

  .blog-flex-layout > div {
    max-width: 100% !important;
    width: 100%;
  }
}